Sessions
Resume a paused session
POST
/
v1
/
sessions
/
{session_id}
/
resume
Resume a paused session
curl --request POST \
--url https://api.veri.studio/v1/sessions/{session_id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/sessions/{session_id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/sessions/{session_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"environment_id": "<string>",
"environment_version": 123,
"status": "<string>",
"awake_seconds": 123,
"total_cost_usd": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"budget_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"error_message": "<string>"
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Session ID
Response
The session, provisioning again until the runtime reports ready
provisioning | ready | running | paused | ended | failed
Seconds the sandbox has been awake (what the session meter bills).
Charged so far (USD).
Resume a paused session
curl --request POST \
--url https://api.veri.studio/v1/sessions/{session_id}/resume \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/sessions/{session_id}/resume"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/sessions/{session_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"environment_id": "<string>",
"environment_version": 123,
"status": "<string>",
"awake_seconds": 123,
"total_cost_usd": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"budget_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"error_message": "<string>"
}
